## r-cran-rsclient 0.7

=== DESCRIPTION ===
Package: RSclient
Version: 0.7-11
Title: Client for Rserve
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.nz, ORCID:
    <https://orcid.org/0000-0003-2297-1732>)
Authors@R: person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.nz", ORCID="0000-0003-2297-1732"))
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.7.0)
Description: Client for Rserve, allowing to connect to Rserve instances and issue commands.
License: GPL-2 | file LICENSE
URL: https://www.rforge.net/RSclient/
BugReports: https://github.com/s-u/RSclient/issues/
NeedsCompilation: yes
Packaged: 2025-11-07 02:28:19 UTC; rforge
Repository: CRAN
Date/Publication: 2025-11-07 03:20:02 UTC

## r-cran-rsclient 0.7-6

=== debian/changelog ===
r-cran-rsclient (0.7-6-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 11:11:44 +0100

r-cran-rsclient (0.7-6-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version  
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem
  * debian/source/format: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Nov 2021 19:44:07 -0500

r-cran-rsclient (0.7-3-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: ##830375)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jul 2016 06:53:36 -0500

r-cran-rsclient (0.7-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Jul 2015 13:39:31 -0500

r-cran-rsclient (0.7-2.0-1) unstable; urgency=low

  * New upstream release 

  * Our initial release was based on a pre-release from http://rforge.net.
    This one is now based on an official CRAN release which, unfortunately,
    was made under the same version -- os we did a "Debian-only" rename
    from 0.7-2 to 0.7-2.0.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 Aug 2013 17:15:19 -0500

r-cran-rsclient (0.7-2-1) unstable; urgency=low

  * Initial Debian release				(Closes: #706179)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Apr 2013 19:05:56 -0500

=== debian/control ===
Source: r-cran-rsclient
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, libssl-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsclient
Vcs-Git: https://salsa.debian.org/edd/r-cran-rsclient.git
Homepage: https://cran.r-project.org/package=RSclient
 
Package: r-cran-rsclient
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU R package providing an Rserve client
 This package provides a client for Rserve, allowing to connect to 
 Rserve instances and issue commands.
 .
 Rserve is provided by the 'rserve' package in Debian.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RSclient_([-\d\.]*)\.tar.gz

## r-cran-rsclient 0.7-8

=== debian/changelog ===
r-cran-rsclient (0.7-8-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Mar 2022 07:38:18 -0600

## r-cran-rsclient 0.7-9

=== debian/changelog ===
r-cran-rsclient (0.7-9-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Nov 2022 07:44:27 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, libssl-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, libssl-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsclient
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rsclient.git
 Homepage: https://cran.r-project.org/package=RSclient

## r-cran-rsclient 0.7-10

=== debian/changelog ===
r-cran-rsclient (0.7-10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:36:22 +1100

r-cran-rsclient (0.7-10-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:10:28 +0000

r-cran-rsclient (0.7-10-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Dec 2023 08:49:59 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: r-cran-rsclient
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, libssl-dev
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, libssl-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsclient
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rsclient.git
 Homepage: https://cran.r-project.org/package=RSclient

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rsclient package
# Copyright 2003-2021 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-rsclient 0.7-11

=== debian/changelog ===
r-cran-rsclient (0.7-11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 Nov 2025 05:32:03 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: r-cran-rsclient
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, libssl-dev
-Standards-Version: 4.6.2
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, libssl-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsclient
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rsclient.git
 Homepage: https://cran.r-project.org/package=RSclient

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/RSclient_([-\d\.]*)\.tar.gz

## r-cran-rsclient 0.7-12

=== debian/changelog ===
r-cran-rsclient (0.7-12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 Jan 2026 17:31:40 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, libssl-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rsclient
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rsclient.git
 Homepage: https://cran.r-project.org/package=RSclient

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RSclient_([-\d\.]*)\.tar.gz
